Debian Bug report logs - #679055
istgt: Add support to reload the istgt.conf file.

version graph

Package: istgt; Maintainer for istgt is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for istgt is src:istgt.

Reported by: andrew@etc.gen.nz

Date: Tue, 26 Jun 2012 04:33:01 UTC

Severity: wishlist

Tags: patch

Found in version istgt/0.4~20111008-2

Fixed in version istgt/0.4~20111008-3

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679055; Package istgt. (Tue, 26 Jun 2012 04:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrew@etc.gen.nz:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Jun 2012 04:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: andrew@etc.gen.nz
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: istgt: Add support to reload the istgt.conf file.
Date: Tue, 26 Jun 2012 16:07:04 +1200
[Message part 1 (text/plain, inline)]
Package: istgt
Version: 0.4~20111008-2
Severity: wishlist

Dear Maintainer,

istgt currently has no method to load new Logical Units other than restarting
the daemon. This is a bit cruel, in that it interrupts folks that have
mounted LUNs from the running istgt.

The attached patch, ported from FreeBSD, adds a refresh command to
istgtcontrol to allow telling istgt to reload istgt.conf and update
the running configuration, all without restarting the daemon.

I've also updated the provided init.d file to have a reload target.

Cheers,
Andrew

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-1-amd64
Locale: LANG=en_NZ.UTF-8, LC_CTYPE=en_NZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages istgt depends on:
ii  libbsd0      0.4.0-1
ii  libc0.1      2.13-33
ii  libcam6      9.0+ds1-3
ii  libssl1.0.0  1.0.1c-3
ii  lsb-base     4.1+Debian6

istgt recommends no packages.

istgt suggests no packages.

-- no debconf information
[istgt-reload.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679055; Package istgt. (Tue, 26 Jun 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Jun 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 679055@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: andrew@etc.gen.nz, 679055@bugs.debian.org
Subject: Re: Bug#679055: istgt: Add support to reload the istgt.conf file.
Date: Tue, 26 Jun 2012 11:11:40 +0200
[Message part 1 (text/plain, inline)]
Hi Andrew,

On 26.06.2012 06:07, andrew@etc.gen.nz wrote:
> istgt currently has no method to load new Logical Units other than restarting
> the daemon. This is a bit cruel, in that it interrupts folks that have
> mounted LUNs from the running istgt.

Yes, I'm entirely with you here. That's a feature I've been waiting for
for a while already.

> The attached patch, ported from FreeBSD, adds a refresh command to
> istgtcontrol to allow telling istgt to reload istgt.conf and update
> the running configuration, all without restarting the daemon.

Did you contact the upstream author? As far as I'm informed he was
planning to add reload LUN reload support to the upcoming 0.5 series but
I didn't hear since.


Anyway, thanks for your patch which looks quite good at a first glance.
I'll review and test later so that it will end in Wheezy before the freeze.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Tue, 26 Jun 2012 09:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679055; Package istgt. (Tue, 26 Jun 2012 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ruthven <andrew@etc.gen.nz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Jun 2012 10:09:29 GMT) Full text and rfc822 format available.

Message #17 received at 679055@bugs.debian.org (full text, mbox):

From: Andrew Ruthven <andrew@etc.gen.nz>
To: 679055@bugs.debian.org
Subject: Re: Bug#679055: istgt: Add support to reload the istgt.conf file.
Date: Tue, 26 Jun 2012 21:59:12 +1200
[Message part 1 (text/plain, inline)]
Hi Arno,

On Tue, 2012-06-26 at 11:11 +0200, Arno Töll wrote:
> On 26.06.2012 06:07, andrew@etc.gen.nz wrote:
> > The attached patch, ported from FreeBSD, adds a refresh command to
> > istgtcontrol to allow telling istgt to reload istgt.conf and update
> > the running configuration, all without restarting the daemon.
> 
> Did you contact the upstream author? As far as I'm informed he was
> planning to add reload LUN reload support to the upcoming 0.5 series but
> I didn't hear since.

I haven't contacted the upstream author, two reasons, 1) I was hoping
that the FreeBSD guys had, and 2) I wanted to make sure I submitted the
patch to the BTS with at least a few days before the wheezy freeze!

> Anyway, thanks for your patch which looks quite good at a first glance.
> I'll review and test later so that it will end in Wheezy before the freeze.

Thank you, that'd be awesome.

A couple of things I've noticed that are missing (in my opinion), no
SIGHUP support in the daemon and to have a LogicalUnit refresh you need
to change the name of it (this is arguably understandable) and the other
feature that would be nice to have is to change the advertised size of
the block device if it changes.

But I didn't actually write the patch and I'm not about to delve in the
bowels of the code!

Cheers!

-- 
Andrew Ruthven
Wellington, New Zealand
At home: andrew@etc.gen.nz |   linux.conf.au 2013
                           | Come join the party...
                           |  http://linux.conf.au
[signature.asc (application/pgp-signature, inline)]

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Tue, 26 Jun 2012 22:51:08 GMT) Full text and rfc822 format available.

Notification sent to andrew@etc.gen.nz:
Bug acknowledged by developer. (Tue, 26 Jun 2012 22:51:08 GMT) Full text and rfc822 format available.

Message #22 received at 679055-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 679055-close@bugs.debian.org
Subject: Bug#679055: fixed in istgt 0.4~20111008-3
Date: Tue, 26 Jun 2012 22:49:42 +0000
Source: istgt
Source-Version: 0.4~20111008-3

We believe that the bug you reported is fixed in the latest version of
istgt, which is due to be installed in the Debian FTP archive:

istgt_0.4~20111008-3.debian.tar.gz
  to main/i/istgt/istgt_0.4~20111008-3.debian.tar.gz
istgt_0.4~20111008-3.dsc
  to main/i/istgt/istgt_0.4~20111008-3.dsc
istgt_0.4~20111008-3_kfreebsd-amd64.deb
  to main/i/istgt/istgt_0.4~20111008-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679055@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated istgt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 00:23:23 +0200
Source: istgt
Binary: istgt
Architecture: source kfreebsd-amd64
Version: 0.4~20111008-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 istgt      - iSCSI userspace target daemon for Unix-like operating systems
Closes: 650212 679055
Changes: 
 istgt (0.4~20111008-3) unstable; urgency=low
 .
   * Fix "cannot determine device size from symlink" Apply patch to use stat()
     instead of lstat(). Thanks Michal Suchanek  (Closes: #650212). I apologize
     for the delay, but I was postponing this decision for a long time, given
     it was rejected by upstream for security concerns. I do not share these.
   * Fix "Add support to reload the istgt.conf file." by merging the excellent
     patch Andrew Ruthven <andrew@etc.gen.nz>. Much appreciated (Closes: #679055)
   * Improve init script:
     + Better support fancy outputs
     + Improve failure toleance of the reload handler
     + Log istgt start output to syslog
Checksums-Sha1: 
 90603590c8fc5bd64269a502456820c69aa72a86 2041 istgt_0.4~20111008-3.dsc
 f7c12d7bca22d215f432f47f2d31a0fb33b5cf8e 12804 istgt_0.4~20111008-3.debian.tar.gz
 961902f79a5da21c643f8043725f029092180865 180954 istgt_0.4~20111008-3_kfreebsd-amd64.deb
Checksums-Sha256: 
 82857c7d5a395402f1e8fca4350ea0675d31a86e0bf21440561e53dbd5f51c74 2041 istgt_0.4~20111008-3.dsc
 c52df318f0287d4050c88f818a96c4f7f78ee6d7e67e7165153d26796fcbe17a 12804 istgt_0.4~20111008-3.debian.tar.gz
 9e042f15db2be4e70d9a64f5f1049f4ffb85e87c2b1585b766c7c0153ee5ba7f 180954 istgt_0.4~20111008-3_kfreebsd-amd64.deb
Files: 
 975023fff890c94007bf73840816090e 2041 admin extra istgt_0.4~20111008-3.dsc
 103635ea341c6854aa96ead7be077a7a 12804 admin extra istgt_0.4~20111008-3.debian.tar.gz
 cf0dfc5d1e983258f1e2b2f61a64f3ef 180954 admin extra istgt_0.4~20111008-3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP6ji3AAoJEMcrUe6dgPNtYzkQAKdQLCZdq4n1NB+9D+bQ45Kd
QleNRzALE/ESgvoJFUc6XMoWlgYRdfATitu4ZvF326lRcQpJSxug67zae6zAQpCB
DlvEbt79bO0pl9pKb2r8rsvzF3MT5DSdNqg0kZ4Vsm7VK5SOzIG8yoqqUS3if+TP
ZJffSG3h6ZTCJ48liC8vUOXBzuddXFnHNUJrO3r4weqQiNlO8NiTF3ZBMFjmyT6m
qDBC7AjEJxjAchFTzYf+wSUNMZG4Sc3g3UsWz2dY4KuV6nsZOR/znGvMiBrrUpoT
wfNsWLv8stdwAjnNvAinpFNSLV+T/aHaLuAnLs1yBWW3lKR6L1tVBvP02QaG9SAW
KE+T1vhYXbVAELxWH8CH0SYrykq8wavJURy67rJvM7xSqe+VRJBEuFlPZhSlrvyU
gi2xgrcXKcsu9Ohz2XMsPHxHLo2XdbHBUd+sATz9kQK2PIIw4cJzjOpr5E9V+HA/
v/1Q2It7Y2ISxTSl85j9nPduvsx+r8XQNN24HPVk7z9UELPEkiSU9nt1aA9hVxaQ
LMiX0sE2U1uQugFmO2I0Vc6ct1HzroBy+T6tJAj9x5cVOr7vfFx0uNMI6Xn43RhK
iGssRJXD8buN8ZN7Fb1bGsor1Aq9pKtAic7eLLdmaiEQ2G183eLApX6vtCsmFcJ0
MCMcQvj4u57GwfJW3V+J
=Zd7Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Aug 2012 07:30:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:19:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.